#ifndef __report_h
#define __report_h

#include <libxml/xmlmemory.h>
#include <libxml/parser.h>

#define TYPE_TEXT 		1
#define TYPE_INT 		2
#define TYPE_DATE		3
#define	TYPE_DROPDOWN	4

extern GList *parameter_list;

typedef struct
{
	gchar *name;
	gchar *description;
	gchar *value;
	GtkWidget *widget;
	int type;
}
require_parameter;

gboolean run_report();
gchar * execute_ok(GtkWidget *start);
gchar * param_ok(GtkWidget *start);
xmlDoc * parse_xml_doc(gchar * xmlfilename);
static void param_addtolist(xmlNode * a_node, GList **list);
void param_getfromdoc(xmlDoc *doc, GList **param_list);
gchar * change_extension(gchar *oldfilename, gchar *ext);
void param_list_merge(GList **list_cur, GList **list_new);
int param_type_from_str(gchar *str);
int param_store_list();
int date_from_str(char *str, int *year, int *month, int *day);
#endif
